#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  CustomStateSet = 2081,
  DOMException = 2096,
  DOMImplementation = 2109,
  DOMLocalization = 2127,
  DOMMatrix = 2143,
  DOMMatrixReadOnly = 2153,
  DOMParser = 2171,
  DOMPoint = 2181,
  DOMPointReadOnly = 2190,
  DOMQuad = 2207,
  DOMRect = 2215,
  DOMRectList = 2223,
  DOMRectReadOnly = 2235,
  DOMRequest = 2251,
  DOMStringList = 2262,
  DOMStringMap = 2276,
  DOMTokenList = 2289,
  DataTransfer = 2302,
  DataTransferItem = 2315,
  DataTransferItemList = 2332,
  DebuggerNotification = 2353,
  DebuggerNotificationObserver = 2374,
  DecompressionStream = 2403,
  DedicatedWorkerGlobalScope = 2423,
  DelayNode = 2450,
  DeprecationReportBody = 2460,
  DeviceAcceleration = 2482,
  DeviceLightEvent = 2501,
  DeviceMotionEvent = 2518,
  DeviceOrientationEvent = 2536,
  DeviceRotationRate = 2559,
  Directory = 2578,
  Document = 2588,
  DocumentFragment = 2597,
  DocumentL10n = 2614,
  DocumentTimeline = 2627,
  DocumentType = 2644,
  DominatorTree = 2657,
  DragEvent = 2671,
  DynamicsCompressorNode = 2681,
  EXT_blend_minmax = 2704,
  EXT_color_buffer_float = 2721,
  EXT_color_buffer_half_float = 2744,
  EXT_disjoint_timer_query = 2772,
  EXT_float_blend = 2797,
  EXT_frag_depth = 2813,
  EXT_sRGB = 2828,
  EXT_shader_texture_lod = 2837,
  EXT_texture_compression_bptc = 2860,
  EXT_texture_compression_rgtc = 2889,
  EXT_texture_filter_anisotropic = 2918,
  EXT_texture_norm16 = 2949,
  Element = 2968,
  ElementInternals = 2976,
  EncodedVideoChunk = 2993,
  ErrorEvent = 3011,
  Event = 3022,
  EventCallbackDebuggerNotification = 3028,
  EventCounts = 3062,
  EventSource = 3074,
  EventTarget = 3086,
  Exception = 3098,
  ExtendableEvent = 3108,
  ExtendableMessageEvent = 3124,
  ExtensionAlarms = 3147,
  ExtensionBrowser = 3163,
  ExtensionBrowserSettings = 3180,
  ExtensionBrowserSettingsColorManagement = 3205,
  ExtensionDns = 3245,
  ExtensionEventManager = 3258,
  ExtensionMockAPI = 3280,
  ExtensionPort = 3297,
  ExtensionProxy = 3311,
  ExtensionRuntime = 3326,
  ExtensionScripting = 3343,
  ExtensionSetting = 3362,
  ExtensionTest = 3379,
  External = 3393,
  FeaturePolicy = 3402,
  FeaturePolicyViolationReportBody = 3416,
  FetchEvent = 3449,
  FetchObserver = 3460,
  File = 3474,
  FileList = 3479,
  FileReader = 3488,
  FileReaderSync = 3499,
  FileSystem = 3514,
  FileSystemDirectoryEntry = 3525,
  FileSystemDirectoryHandle = 3550,
  FileSystemDirectoryHandle_AsyncIterator = 3576,
  FileSystemDirectoryIterator = 3616,
  FileSystemDirectoryReader = 3644,
  FileSystemEntry = 3670,
  FileSystemFileEntry = 3686,
  FileSystemFileHandle = 3706,
  FileSystemHandle = 3727,
  FileSystemSyncAccessHandle = 3744,
  FileSystemWritableFileStream = 3771,
  Flex = 3800,
  FlexItemValues = 3805,
  FlexLineValues = 3820,
  FluentBundle = 3835,
  FluentBundleAsyncIterator = 3848,
  FluentBundleIterator = 3874,
  FluentPattern = 3895,
  FluentResource = 3909,
  FocusEvent = 3924,
  FontFace = 3935,
  FontFaceSet = 3944,
  FontFaceSetIterator = 3956,
  FontFaceSetLoadEvent = 3976,
  FormData = 3997,
  FormData_Iterator = 4006,
  FormDataEvent = 4024,
  FrameCrashedEvent = 4038,
  FrameLoader = 4056,
  GPU = 4068,
  GPUAdapter = 4072,
  GPUAdapterInfo = 4083,
  GPUBindGroup = 4098,
  GPUBindGroupLayout = 4111,
  GPUBuffer = 4130,
  GPUBufferUsage = 4140,
  GPUCanvasContext = 4155,
  GPUColorWrite = 4172,
  GPUCommandBuffer = 4186,
  GPUCommandEncoder = 4203,
  GPUCompilationInfo = 4221,
  GPUCompilationMessage = 4240,
  GPUComputePassEncoder = 4262,
  GPUComputePipeline = 4284,
  GPUDevice = 4303,
  GPUDeviceLostInfo = 4313,
  GPUError = 4331,
  GPUInternalError = 4340,
  GPUMapMode = 4357,
  GPUOutOfMemoryError = 4368,
  GPUPipelineLayout = 4388,
  GPUQuerySet = 4406,
  GPUQueue = 4418,
  GPURenderBundle = 4427,
  GPURenderBundleEncoder = 4443,
  GPURenderPassEncoder = 4466,
  GPURenderPipeline = 4487,
  GPUSampler = 4505,
  GPUShaderModule = 4516,
  GPUShaderStage = 4532,
  GPUSupportedFeatures = 4547,
  GPUSupportedLimits = 4568,
  GPUTexture = 4587,
  GPUTextureUsage = 4598,
  GPUTextureView = 4614,
  GPUUncapturedErrorEvent = 4629,
  GPUValidationError = 4653,
  GainNode = 4672,
  Gamepad = 4681,
  GamepadAxisMoveEvent = 4689,
  GamepadButton = 4710,
  GamepadButtonEvent = 4724,
  GamepadEvent = 4743,
  GamepadHapticActuator = 4756,
  GamepadLightIndicator = 4778,
  GamepadPose = 4800,
  GamepadServiceTest = 4812,
  GamepadTouch = 4831,
  Geolocation = 4844,
  GeolocationCoordinates = 4856,
  GeolocationPosition = 4879,
  GeolocationPositionError = 4899,
  GetUserMediaRequest = 4924,
  GleanBoolean = 4944,
  GleanCategory = 4957,
  GleanCounter = 4971,
  GleanCustomDistribution = 4984,
  GleanDatetime = 5008,
  GleanDenominator = 5022,
  GleanEvent = 5039,
  GleanImpl = 5050,
  GleanLabeled = 5060,
  GleanMemoryDistribution = 5073,
  GleanMetric = 5097,
  GleanNumerator = 5109,
  GleanPingsImpl = 5124,
  GleanQuantity = 5139,
  GleanRate = 5153,
  GleanString = 5163,
  GleanStringList = 5175,
  GleanText = 5191,
  GleanTimespan = 5201,
  GleanTimingDistribution = 5215,
  GleanUrl = 5239,
  GleanUuid = 5248,
  Grid = 5258,
  GridArea = 5263,
  GridDimension = 5272,
  GridLine = 5286,
  GridLines = 5295,
  GridTrack = 5305,
  GridTracks = 5315,
  HTMLAllCollection = 5326,
  HTMLAnchorElement = 5344,
  HTMLAreaElement = 5362,
  HTMLAudioElement = 5378,
  HTMLBRElement = 5395,
  HTMLBaseElement = 5409,
  HTMLBodyElement = 5425,
  HTMLButtonElement = 5441,
  HTMLCanvasElement = 5459,
  HTMLCollection = 5477,
  HTMLDListElement = 5492,
  HTMLDataElement = 5509,
  HTMLDataListElement = 5525,
  HTMLDetailsElement = 5545,
  HTMLDialogElement = 5564,
  HTMLDirectoryElement = 5582,
  HTMLDivElement = 5603,
  HTMLDocument = 5618,
  HTMLElement = 5631,
  HTMLEmbedElement = 5643,
  HTMLFieldSetElement = 5660,
  HTMLFontElement = 5680,
  HTMLFormControlsCollection = 5696,
  HTMLFormElement = 5723,
  HTMLFrameElement = 5739,
  HTMLFrameSetElement = 5756,
  HTMLHRElement = 5776,
  HTMLHeadElement = 5790,
  HTMLHeadingElement = 5806,
  HTMLHtmlElement = 5825,
  HTMLIFrameElement = 5841,
  HTMLImageElement = 5859,
  HTMLInputElement = 5876,
  HTMLLIElement = 5893,
  HTMLLabelElement = 5907,
  HTMLLegendElement = 5924,
  HTMLLinkElement = 5942,
  HTMLMapElement = 5958,
  HTMLMarqueeElement = 5973,
  HTMLMediaElement = 5992,
  HTMLMenuElement = 6009,
  HTMLMetaElement = 6025,
  HTMLMeterElement = 6041,
  HTMLModElement = 6058,
  HTMLOListElement = 6073,
  HTMLObjectElement = 6090,
  HTMLOptGroupElement = 6108,
  HTMLOptionElement = 6128,
  HTMLOptionsCollection = 6146,
  HTMLOutputElement = 6168,
  HTMLParagraphElement = 6186,
  HTMLParamElement = 6207,
  HTMLPictureElement = 6224,
  HTMLPreElement = 6243,
  HTMLProgressElement = 6258,
  HTMLQuoteElement = 6278,
  HTMLScriptElement = 6295,
  HTMLSelectElement = 6313,
  HTMLSlotElement = 6331,
  HTMLSourceElement = 6347,
  HTMLSpanElement = 6365,
  HTMLStyleElement = 6381,
  HTMLTableCaptionElement = 6398,
  HTMLTableCellElement = 6422,
  HTMLTableColElement = 6443,
  HTMLTableElement = 6463,
  HTMLTableRowElement = 6480,
  HTMLTableSectionElement = 6500,
  HTMLTemplateElement = 6524,
  HTMLTextAreaElement = 6544,
  HTMLTimeElement = 6564,
  HTMLTitleElement = 6580,
  HTMLTrackElement = 6597,
  HTMLUListElement = 6614,
  HTMLUnknownElement = 6631,
  HTMLVideoElement = 6650,
  HashChangeEvent = 6667,
  Headers = 6683,
  Headers_Iterator = 6691,
  HeapSnapshot = 6708,
  Highlight = 6721,
  HighlightRegistry = 6731,
  History = 6749,
  IDBCursor = 6757,
  IDBCursorWithValue = 6767,
  IDBDatabase = 6786,
  IDBFactory = 6798,
  IDBIndex = 6809,
  IDBKeyRange = 6818,
  IDBLocaleAwareKeyRange = 6830,
  IDBObjectStore = 6853,
  IDBOpenDBRequest = 6868,
  IDBRequest = 6885,
  IDBTransaction = 6896,
  IDBVersionChangeEvent = 6911,
  IIRFilterNode = 6933,
  IOUtils = 6947,
  IdentityCredential = 6955,
  IdleDeadline = 6974,
  Image = 6987,
  ImageBitmap = 6993,
  ImageBitmapRenderingContext = 7005,
  ImageCapture = 7033,
  ImageCaptureError = 7046,
  ImageCaptureErrorEvent = 7064,
  ImageData = 7087,
  ImageDocument = 7097,
  InputEvent = 7111,
  InspectorFontFace = 7122,
  InspectorUtils = 7140,
  InstallTriggerImpl = 7155,
  IntersectionObserver = 7174,
  IntersectionObserverEntry = 7195,
  IntlUtils = 7221,
  InvokeEvent = 7231,
  JSProcessActorChild = 7243,
  JSProcessActorParent = 7263,
  JSWindowActorChild = 7284,
  JSWindowActorParent = 7303,
  KeyEvent = 7323,
  KeyboardEvent = 7332,
  KeyframeEffect = 7346,
  L10nFileSource = 7361,
  L10nOverlays = 7376,
  L10nRegistry = 7389,
  LargestContentfulPaint = 7402,
  LegacyMozTCPSocket = 7425,
  Localization = 7444,
  Location = 7457,
  Lock = 7466,
  LockManager = 7471,
  MIDIAccess = 7483,
  MIDIConnectionEvent = 7494,
  MIDIInput = 7514,
  MIDIInputMap = 7524,
  MIDIMessageEvent = 7537,
  MIDIOutput = 7554,
  MIDIOutputMap = 7565,
  MIDIPort = 7579,
  MOZ_debug = 7588,
  MatchGlob = 7598,
  MatchPattern = 7608,
  MatchPatternSet = 7621,
  MathMLElement = 7637,
  MediaCapabilities = 7651,
  MediaCapabilitiesInfo = 7669,
  MediaControlService = 7691,
  MediaController = 7711,
  MediaDeviceInfo = 7727,
  MediaDevices = 7743,
  MediaElementAudioSourceNode = 7756,
  MediaEncryptedEvent = 7784,
  MediaError = 7804,
  MediaKeyError = 7815,
  MediaKeyMessageEvent = 7829,
  MediaKeySession = 7850,
  MediaKeyStatusMap = 7866,
  MediaKeyStatusMap_Iterator = 7884,
  MediaKeySystemAccess = 7911,
  MediaKeys = 7932,
  MediaList = 7942,
  MediaMetadata = 7952,
  MediaQueryList = 7966,
  MediaQueryListEvent = 7981,
  MediaRecorder = 8001,
  MediaRecorderErrorEvent = 8015,
  MediaSession = 8039,
  MediaSource = 8052,
  MediaStream = 8064,
  MediaStreamAudioDestinationNode = 8076,
  MediaStreamAudioSourceNode = 8108,
  MediaStreamError = 8135,
  MediaStreamEvent = 8152,
  MediaStreamTrack = 8169,
  MediaStreamTrackAudioSourceNode = 8186,
  MediaStreamTrackEvent = 8218,
  MerchantValidationEvent = 8240,
  MessageBroadcaster = 8264,
  MessageChannel = 8283,
  MessageEvent = 8298,
  MessageListenerManager = 8311,
  MessagePort = 8334,
  MessageSender = 8346,
  MimeType = 8360,
  MimeTypeArray = 8369,
  MouseEvent = 8383,
  MouseScrollEvent = 8394,
  MozCanvasPrintState = 8411,
  MozDocumentMatcher = 8431,
  MozDocumentObserver = 8450,
  MozQueryInterface = 8470,
  MozSharedMap = 8488,
  MozSharedMap_Iterator = 8501,
  MozSharedMapChangeEvent = 8523,
  MozStorageAsyncStatementParams = 8547,
  MozStorageStatementParams = 8578,
  MozStorageStatementRow = 8604,
  MozWritableSharedMap = 8627,
  MutationEvent = 8648,
  MutationObserver = 8662,
  MutationRecord = 8679,
  NamedNodeMap = 8694,
  NavigationPreloadManager = 8707,
  Navigator = 8732,
  NetworkInformation = 8742,
  Node = 8761,
  NodeFilter = 8766,
  NodeIterator = 8777,
  NodeList = 8790,
  Notification = 8799,
  NotificationEvent = 8812,
  NotifyPaintEvent = 8830,
  OES_draw_buffers_indexed = 8847,
  OES_element_index_uint = 8872,
  OES_fbo_render_mipmap = 8895,
  OES_standard_derivatives = 8917,
  OES_texture_float = 8942,
  OES_texture_float_linear = 8960,
  OES_texture_half_float = 8985,
  OES_texture_half_float_linear = 9008,
  OES_vertex_array_object = 9038,
  OVR_multiview2 = 9062,
  OfflineAudioCompletionEvent = 9077,
  OfflineAudioContext = 9105,
  OffscreenCanvas = 9125,
  OffscreenCanvasRenderingContext2D = 9141,
  Option = 9175,
  OscillatorNode = 9182,
  PageTransitionEvent = 9197,
  PaintRequest = 9217,
  PaintRequestList = 9230,
  PaintWorkletGlobalScope = 9247,
  PannerNode = 9271,
  ParentProcessMessageManager = 9282,
  Path2D = 9310,
  PathUtils = 9317,
  PaymentAddress = 9327,
  PaymentMethodChangeEvent = 9342,
  PaymentRequest = 9367,
  PaymentRequestUpdateEvent = 9382,
  PaymentResponse = 9408,
  Performance = 9424,
  PerformanceEntry = 9436,
  PerformanceEntryEvent = 9453,
  PerformanceEventTiming = 9475,
  PerformanceMark = 9498,
  PerformanceMeasure = 9514,
  PerformanceNavigation = 9533,
  PerformanceNavigationTiming = 9555,
  PerformanceObserver = 9583,
  PerformanceObserverEntryList = 9603,
  PerformancePaintTiming = 9632,
  PerformanceResourceTiming = 9655,
  PerformanceServerTiming = 9681,
  PerformanceTiming = 9705,
  PeriodicWave = 9723,
  PermissionStatus = 9736,
  Permissions = 9753,
  PlacesBookmark = 9765,
  PlacesBookmarkAddition = 9780,
  PlacesBookmarkChanged = 9803,
  PlacesBookmarkGuid = 9825,
  PlacesBookmarkKeyword = 9844,
  PlacesBookmarkMoved = 9866,
  PlacesBookmarkRemoved = 9886,
  PlacesBookmarkTags = 9908,
  PlacesBookmarkTime = 9927,
  PlacesBookmarkTitle = 9946,
  PlacesBookmarkUrl = 9966,
  PlacesEvent = 9984,
  PlacesFavicon = 9996,
  PlacesHistoryCleared = 10010,
  PlacesObservers = 10031,
  PlacesPurgeCaches = 10047,
  PlacesRanking = 10065,
  PlacesVisit = 10079,
  PlacesVisitRemoved = 10091,
  PlacesVisitTitle = 10110,
  PlacesWeakCallbackWrapper = 10127,
  Plugin = 10153,
  PluginArray = 10160,
  PluginCrashedEvent = 10172,
  PointerEvent = 10191,
  PopStateEvent = 10204,
  PopupBlockedEvent = 10218,
  PopupPositionedEvent = 10236,
  PositionStateEvent = 10257,
  PrecompiledScript = 10276,
  ProcessMessageManager = 10294,
  ProcessingInstruction = 10316,
  ProgressEvent = 10338,
  PromiseDebugging = 10352,
  PromiseNativeHandler = 10369,
  PromiseRejectionEvent = 10390,
  PublicKeyCredential = 10412,
  PushEvent = 10432,
  PushManager = 10442,
  PushManagerImpl = 10454,
  PushMessageData = 10470,
  PushSubscription = 10486,
  PushSubscriptionOptions = 10503,
  RadioNodeList = 10527,
  Range = 10541,
  ReadableByteStreamController = 10547,
  ReadableStream = 10576,
  ReadableStream_AsyncIterator = 10591,
  ReadableStreamBYOBReader = 10620,
  ReadableStreamBYOBRequest = 10645,
  ReadableStreamDefaultController = 10671,
  ReadableStreamDefaultReader = 10703,
  Report = 10731,
  ReportBody = 10738,
  ReportingObserver = 10749,
  Request = 10767,
  ResizeObserver = 10775,
  ResizeObserverEntry = 10790,
  ResizeObserverSize = 10810,
  Response = 10829,
  SVGAElement = 10838,
  SVGAngle = 10850,
  SVGAnimateElement = 10859,
  SVGAnimateMotionElement = 10877,
  SVGAnimateTransformElement = 10901,
  SVGAnimatedAngle = 10928,
  SVGAnimatedBoolean = 10945,
  SVGAnimatedEnumeration = 10964,
  SVGAnimatedInteger = 10987,
  SVGAnimatedLength = 11006,
  SVGAnimatedLengthList = 11024,
  SVGAnimatedNumber = 11046,
  SVGAnimatedNumberList = 11064,
  SVGAnimatedPreserveAspectRatio = 11086,
  SVGAnimatedRect = 11117,
  SVGAnimatedString = 11133,
  SVGAnimatedTransformList = 11151,
  SVGAnimationElement = 11176,
  SVGCircleElement = 11196,
  SVGClipPathElement = 11213,
  SVGComponentTransferFunctionElement = 11232,
  SVGDefsElement = 11268,
  SVGDescElement = 11283,
  SVGElement = 11298,
  SVGEllipseElement = 11309,
  SVGFEBlendElement = 11327,
  SVGFEColorMatrixElement = 11345,
  SVGFEComponentTransferElement = 11369,
  SVGFECompositeElement = 11399,
  SVGFEConvolveMatrixElement = 11421,
  SVGFEDiffuseLightingElement = 11448,
  SVGFEDisplacementMapElement = 11476,
  SVGFEDistantLightElement = 11504,
  SVGFEDropShadowElement = 11529,
  SVGFEFloodElement = 11552,
  SVGFEFuncAElement = 11570,
  SVGFEFuncBElement = 11588,
  SVGFEFuncGElement = 11606,
  SVGFEFuncRElement = 11624,
  SVGFEGaussianBlurElement = 11642,
  SVGFEImageElement = 11667,
  SVGFEMergeElement = 11685,
  SVGFEMergeNodeElement = 11703,
  SVGFEMorphologyElement = 11725,
  SVGFEOffsetElement = 11748,
  SVGFEPointLightElement = 11767,
  SVGFESpecularLightingElement = 11790,
  SVGFESpotLightElement = 11819,
  SVGFETileElement = 11841,
  SVGFETurbulenceElement = 11858,
  SVGFilterElement = 11881,
  SVGForeignObjectElement = 11898,
  SVGGElement = 11922,
  SVGGeometryElement = 11934,
  SVGGradientElement = 11953,
  SVGGraphicsElement = 11972,
  SVGImageElement = 11991,
  SVGLength = 12007,
  SVGLengthList = 12017,
  SVGLineElement = 12031,
  SVGLinearGradientElement = 12046,
  SVGMPathElement = 12071,
  SVGMarkerElement = 12087,
  SVGMaskElement = 12104,
  SVGMatrix = 12119,
  SVGMetadataElement = 12129,
  SVGNumber = 12148,
  SVGNumberList = 12158,
  SVGPathElement = 12172,
  SVGPathSeg = 12187,
  SVGPathSegArcAbs = 12198,
  SVGPathSegArcRel = 12215,
  SVGPathSegClosePath = 12232,
  SVGPathSegCurvetoCubicAbs = 12252,
  SVGPathSegCurvetoCubicRel = 12278,
  SVGPathSegCurvetoCubicSmoothAbs = 12304,
  SVGPathSegCurvetoCubicSmoothRel = 12336,
  SVGPathSegCurvetoQuadraticAbs = 12368,
  SVGPathSegCurvetoQuadraticRel = 12398,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12428,
  SVGPathSegCurvetoQuadraticSmoothRel = 12464,
  SVGPathSegLinetoAbs = 12500,
  SVGPathSegLinetoHorizontalAbs = 12520,
  SVGPathSegLinetoHorizontalRel = 12550,
  SVGPathSegLinetoRel = 12580,
  SVGPathSegLinetoVerticalAbs = 12600,
  SVGPathSegLinetoVerticalRel = 12628,
  SVGPathSegList = 12656,
  SVGPathSegMovetoAbs = 12671,
  SVGPathSegMovetoRel = 12691,
  SVGPatternElement = 12711,
  SVGPoint = 12729,
  SVGPointList = 12738,
  SVGPolygonElement = 12751,
  SVGPolylineElement = 12769,
  SVGPreserveAspectRatio = 12788,
  SVGRadialGradientElement = 12811,
  SVGRect = 12836,
  SVGRectElement = 12844,
  SVGSVGElement = 12859,
  SVGScriptElement = 12873,
  SVGSetElement = 12890,
  SVGStopElement = 12904,
  SVGStringList = 12919,
  SVGStyleElement = 12933,
  SVGSwitchElement = 12949,
  SVGSymbolElement = 12966,
  SVGTSpanElement = 12983,
  SVGTextContentElement = 12999,
  SVGTextElement = 13021,
  SVGTextPathElement = 13036,
  SVGTextPositioningElement = 13055,
  SVGTitleElement = 13081,
  SVGTransform = 13097,
  SVGTransformList = 13110,
  SVGUnitTypes = 13127,
  SVGUseElement = 13140,
  SVGViewElement = 13154,
  Sanitizer = 13169,
  Scheduler = 13179,
  Screen = 13189,
  ScreenLuminance = 13196,
  ScreenOrientation = 13212,
  ScriptProcessorNode = 13230,
  ScrollAreaEvent = 13250,
  ScrollViewChangeEvent = 13266,
  SecurityPolicyViolationEvent = 13288,
  Selection = 13317,
  ServiceWorker = 13327,
  ServiceWorkerContainer = 13341,
  ServiceWorkerGlobalScope = 13364,
  ServiceWorkerRegistration = 13389,
  SessionStoreFormData = 13415,
  SessionStoreScrollData = 13436,
  SessionStoreUtils = 13459,
  ShadowRealmGlobalScope = 13477,
  ShadowRoot = 13500,
  SharedWorker = 13511,
  SharedWorkerGlobalScope = 13524,
  SimpleGestureEvent = 13548,
  SourceBuffer = 13567,
  SourceBufferList = 13580,
  SpeechGrammar = 13597,
  SpeechGrammarList = 13611,
  SpeechRecognition = 13629,
  SpeechRecognitionAlternative = 13647,
  SpeechRecognitionError = 13676,
  SpeechRecognitionEvent = 13699,
  SpeechRecognitionResult = 13722,
  SpeechRecognitionResultList = 13746,
  SpeechSynthesis = 13774,
  SpeechSynthesisErrorEvent = 13790,
  SpeechSynthesisEvent = 13816,
  SpeechSynthesisUtterance = 13837,
  SpeechSynthesisVoice = 13862,
  StaticRange = 13883,
  StereoPannerNode = 13895,
  Storage = 13912,
  StorageEvent = 13920,
  StorageManager = 13933,
  StreamFilter = 13948,
  StreamFilterDataEvent = 13961,
  StructuredCloneHolder = 13983,
  StructuredCloneTester = 14005,
  StyleSheet = 14027,
  StyleSheetApplicableStateChangeEvent = 14038,
  StyleSheetList = 14075,
  StyleSheetRemovedEvent = 14090,
  SubmitEvent = 14113,
  SubtleCrypto = 14125,
  SyncMessageSender = 14138,
  SyncReadFile = 14156,
  TCPServerSocket = 14169,
  TCPServerSocketEvent = 14185,
  TCPSocket = 14206,
  TCPSocketErrorEvent = 14216,
  TCPSocketEvent = 14236,
  TaskController = 14251,
  TaskPriorityChangeEvent = 14266,
  TaskSignal = 14290,
  TelemetryStopwatch = 14301,
  TestUtils = 14320,
  TestingDeprecatedInterface = 14330,
  Text = 14357,
  TextClause = 14362,
  TextDecoder = 14373,
  TextDecoderStream = 14385,
  TextEncoder = 14403,
  TextEncoderStream = 14415,
  TextMetrics = 14433,
  TextTrack = 14445,
  TextTrackCue = 14455,
  TextTrackCueList = 14468,
  TextTrackList = 14485,
  TimeEvent = 14499,
  TimeRanges = 14509,
  ToggleEvent = 14520,
  Touch = 14532,
  TouchEvent = 14538,
  TouchList = 14549,
  TrackEvent = 14559,
  TransformStream = 14570,
  TransformStreamDefaultController = 14586,
  TransitionEvent = 14619,
  TreeColumn = 14635,
  TreeColumns = 14646,
  TreeContentView = 14658,
  TreeWalker = 14674,
  UDPMessageEvent = 14685,
  UDPSocket = 14701,
  UIEvent = 14711,
  URL = 14719,
  URLSearchParams = 14723,
  URLSearchParams_Iterator = 14739,
  UniFFIPointer = 14764,
  UniFFIScaffolding = 14778,
  UserActivation = 14796,
  UserInteraction = 14811,
  UserProximityEvent = 14827,
  VRDisplay = 14846,
  VRDisplayCapabilities = 14856,
  VRDisplayEvent = 14878,
  VREyeParameters = 14893,
  VRFieldOfView = 14909,
  VRFrameData = 14923,
  VRMockController = 14935,
  VRMockDisplay = 14952,
  VRPose = 14966,
  VRServiceTest = 14973,
  VRStageParameters = 14987,
  VTTCue = 15005,
  VTTRegion = 15012,
  ValidityState = 15022,
  VideoColorSpace = 15036,
  VideoDecoder = 15052,
  VideoFrame = 15065,
  VideoPlaybackQuality = 15076,
  VideoTrack = 15097,
  VideoTrackList = 15108,
  VisualViewport = 15123,
  WEBGL_color_buffer_float = 15138,
  WEBGL_compressed_texture_astc = 15163,
  WEBGL_compressed_texture_etc = 15193,
  WEBGL_compressed_texture_etc1 = 15222,
  WEBGL_compressed_texture_pvrtc = 15252,
  WEBGL_compressed_texture_s3tc = 15283,
  WEBGL_compressed_texture_s3tc_srgb = 15313,
  WEBGL_debug_renderer_info = 15348,
  WEBGL_debug_shaders = 15374,
  WEBGL_depth_texture = 15394,
  WEBGL_draw_buffers = 15414,
  WEBGL_explicit_present = 15433,
  WEBGL_lose_context = 15456,
  WEBGL_provoking_vertex = 15475,
  WakeLock = 15498,
  WakeLockSentinel = 15507,
  WaveShaperNode = 15524,
  WebExtensionContentScript = 15539,
  WebExtensionPolicy = 15565,
  WebGL2RenderingContext = 15584,
  WebGLActiveInfo = 15607,
  WebGLBuffer = 15623,
  WebGLContextEvent = 15635,
  WebGLFramebuffer = 15653,
  WebGLProgram = 15670,
  WebGLQuery = 15683,
  WebGLRenderbuffer = 15694,
  WebGLRenderingContext = 15712,
  WebGLSampler = 15734,
  WebGLShader = 15747,
  WebGLShaderPrecisionFormat = 15759,
  WebGLSync = 15786,
  WebGLTexture = 15796,
  WebGLTransformFeedback = 15809,
  WebGLUniformLocation = 15832,
  WebGLVertexArrayObject = 15853,
  WebKitCSSMatrix = 15876,
  WebSocket = 15892,
  WebTransport = 15902,
  WebTransportBidirectionalStream = 15915,
  WebTransportDatagramDuplexStream = 15947,
  WebTransportError = 15980,
  WebTransportReceiveStream = 15998,
  WebTransportSendStream = 16024,
  WheelEvent = 16047,
  Window = 16058,
  WindowClient = 16065,
  WindowContext = 16078,
  WindowGlobalChild = 16092,
  WindowGlobalParent = 16110,
  WindowRoot = 16129,
  Worker = 16140,
  WorkerDebuggerGlobalScope = 16147,
  WorkerGlobalScope = 16173,
  WorkerLocation = 16191,
  WorkerNavigator = 16206,
  WorkerTestUtils = 16222,
  Worklet = 16238,
  WorkletGlobalScope = 16246,
  WritableStream = 16265,
  WritableStreamDefaultController = 16280,
  WritableStreamDefaultWriter = 16312,
  XMLDocument = 16340,
  XMLHttpRequest = 16352,
  XMLHttpRequestEventTarget = 16367,
  XMLHttpRequestUpload = 16393,
  XMLSerializer = 16414,
  XPathEvaluator = 16428,
  XPathExpression = 16443,
  XPathResult = 16459,
  XRBoundedReferenceSpace = 16471,
  XRFrame = 16495,
  XRInputSource = 16503,
  XRInputSourceArray = 16517,
  XRInputSourceEvent = 16536,
  XRInputSourcesChangeEvent = 16555,
  XRPose = 16581,
  XRReferenceSpace = 16588,
  XRReferenceSpaceEvent = 16605,
  XRRenderState = 16627,
  XRRigidTransform = 16641,
  XRSession = 16658,
  XRSessionEvent = 16668,
  XRSpace = 16683,
  XRSystem = 16691,
  XRView = 16700,
  XRViewerPose = 16707,
  XRViewport = 16720,
  XRWebGLLayer = 16731,
  XSLTProcessor = 16744,
  XULCommandEvent = 16758,
  XULElement = 16774,
  XULFrameElement = 16785,
  XULMenuElement = 16801,
  XULPopupElement = 16816,
  XULResizerElement = 16832,
  XULTextElement = 16850,
  XULTreeElement = 16865,
  console = 16880,
  webkitSpeechGrammar = 16888,
  webkitSpeechGrammarList = 16908,
  webkitSpeechRecognition = 16932,
  webkitURL = 16956,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
